Package com.enonic.xp.portal.view

## Class ViewFunctionParams

- java.lang.Object
- - com.enonic.xp.portal.view.ViewFunctionParams

-     @PublicApi
      public final class ViewFunctionParams
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ViewFunctionParams()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ViewFunctionParams` | `args​(Multimap<String,​String> args)` |
    `ViewFunctionParams` | `args​(String... args)` |
    `ViewFunctionParams` | `args​(List<String> args)` |
    `Multimap<String,​String>` | `getArgs()` |
    `String` | `getName()` |
    `PortalRequest` | `getPortalRequest()` |
    `<T> T` | `getRequiredValue​(String name, Class<T> type)` |
    `<T> T` | `getValue​(String name, Class<T> type)` |
    `<T> T` | `getValue​(String name, Class<T> source, T defValue)` |
    `ViewFunctionParams` | `name​(String name)` |
    `ViewFunctionParams` | `portalRequest​(PortalRequest portalRequest)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewFunctionParams

          public ViewFunctionParams()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getPortalRequest

          public PortalRequest getPortalRequest()

    - #### getArgs

          public Multimap<String,​String> getArgs()

    - #### name

          public ViewFunctionParams name​(String name)

    - #### portalRequest

          public ViewFunctionParams portalRequest​(PortalRequest portalRequest)

    - #### args

          public ViewFunctionParams args​(String... args)

    - #### args

          public ViewFunctionParams args​(List<String> args)

    - #### args

          public ViewFunctionParams args​(Multimap<String,​String> args)

    - #### getValue

          public <T> T getValue​(String name,
                                Class<T> type)

    - #### getRequiredValue

          public <T> T getRequiredValue​(String name,
                                        Class<T> type)

    - #### getValue

          public <T> T getValue​(String name,
                                Class<T> source,
                                T defValue)